---
version: "3.5"

services:
  traefik:
    image: traefik:v2.2
    restart: unless-stopped
    container_name: traefik
    security_opt:
      - no-new-privileges:true
    networks:
      - "${NETWORK}"
    ports:
      - "80:80"
      - "443:443"
      - "8080:8080"
    environment:
      - "CLOUDFLARE_EMAIL=${ACME_EMAIL}"
      - "CLOUDFLARE_API_KEY=${ACME_PROVIDER_TOKEN}"
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - /var/run/docker.sock:/var/run/docker.sock:ro
      - "${TRAEFIK_CONF}:/traefik.yml:ro"
      - "${ACME_PATH}:/acme.json"
      - "${LOG_PATH:-./logs}:/logs"
      - "${DYNAMIC_CONF}:/dynamic_conf.yml:ro"
    labels:
      - "traefik.enable=true"
      - "traefik.backend=dashboard"
      - "traefik.frontend.rule=Host:${TRAEFIK_DOMAIN}"
      - "traefik.port=8080"

  web:
    image: nginx:1.17.6-alpine
    container_name: nginx
    restart: unless-stopped
    networks:
      - proxy
    volumes:
      - ./index.html:/usr/share/nginx/html/index.html
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.nginx-secure.entrypoints=https"
      - "traefik.http.routers.nginx-secure.rule=Host(`www.${DOMAIN}`)"
      - "traefik.http.routers.nginx-secure.tls.certresolver=${ACME_PROVIDER}"
      - "traefik.port=80"

networks:
  proxy:
    external: true
